Skip to main content
`Ctrl`+`K`

# mycielski_graph

mycielski_graph(n)

  Generator for the n_th Mycielski Graph.

  The Mycielski family of graphs is an infinite set of graphs. \(M_1\) is the singleton graph, \(M_2\) is two vertices with an edge, and, for \(i > 2\), \(M_i\) is the Mycielskian of \(M_{i-1}\).

  More information can be found at http://mathworld.wolfram.com/MycielskiGraph.html

  Parameters:
    n int

      The desired Mycielski Graph.

  Returns:
    M graph

      The n_th Mycielski Graph

  Notes

  The first graph in the Mycielski sequence is the singleton graph. The Mycielskian of this graph is not the \(P_2\) graph, but rather the \(P_2\) graph with an extra, isolated vertex. The second Mycielski graph is the \(P_2\) graph, so the first two are hard coded. The remaining graphs are generated using the Mycielski operation.